commit:     966ee6b1dec5f637fa2dbced4a4df0375ce55218
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Thu May  8 08:59:24 2025 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Thu May  8 09:54:12 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=966ee6b1

dev-ada/libadalang: support gcc:15, fix test with python3.13

Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 .../libadalang/files/libadalang-25.0.0-pipes.patch | 32 ++++++++++++++++++++++
 ...g-25.0.0.ebuild => libadalang-25.0.0-r1.ebuild} | 14 ++++++++--
 2 files changed, 43 insertions(+), 3 deletions(-)

diff --git a/dev-ada/libadalang/files/libadalang-25.0.0-pipes.patch 
b/dev-ada/libadalang/files/libadalang-25.0.0-pipes.patch
new file mode 100644
index 000000000000..062119fb7113
--- /dev/null
+++ b/dev-ada/libadalang/files/libadalang-25.0.0-pipes.patch
@@ -0,0 +1,32 @@
+From 2ffad60f987b39f23d3cc339103c502e1d24fbd4 Mon Sep 17 00:00:00 2001
+From: Pierre-Marie de Rodat <[email protected]>
+Date: Wed, 4 Dec 2024 13:12:12 +0000
+Subject: [PATCH] Transition uses of the Python pipes module to shlex
+
+"pipes" was removed from Python 3.13.
+---
+ testsuite/python_support/utils.py | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/testsuite/python_support/utils.py 
b/testsuite/python_support/utils.py
+index 6c5dac4de..f88f337a6 100644
+--- a/testsuite/python_support/utils.py
++++ b/testsuite/python_support/utils.py
+@@ -1,7 +1,7 @@
+ import os
+ import os.path
+-import pipes
+ import re
++import shlex
+ import subprocess
+ 
+ 
+@@ -66,7 +66,7 @@ def run_nameres(args):
+ 
+     if p.returncode:
+         print('nameres exitted with status code {}'.format(p.returncode))
+-        print('Command line was:', ' '.join(pipes.quote(a) for a in argv))
++        print('Command line was:', shlex.join(argv))
+         print('Output was:')
+         print('')
+         print(stdout)

diff --git a/dev-ada/libadalang/libadalang-25.0.0.ebuild 
b/dev-ada/libadalang/libadalang-25.0.0-r1.ebuild
similarity index 88%
rename from dev-ada/libadalang/libadalang-25.0.0.ebuild
rename to dev-ada/libadalang/libadalang-25.0.0-r1.ebuild
index 8740ea05eba5..70abdd48f431 100644
--- a/dev-ada/libadalang/libadalang-25.0.0.ebuild
+++ b/dev-ada/libadalang/libadalang-25.0.0-r1.ebuild
@@ -4,7 +4,7 @@
 EAPI=8
 
 PYTHON_COMPAT=( python3_{11..13} )
-ADA_COMPAT=( gcc_14 )
+ADA_COMPAT=( gcc_{14..15} )
 
 inherit ada python-single-r1 multiprocessing
 
@@ -39,7 +39,10 @@ BDEPEND="
        ')
        test? ( dev-ada/e3-testsuite )"
 
-PATCHES=( "${FILESDIR}"/${PN}-23.0.0-test.patch )
+PATCHES=(
+       "${FILESDIR}"/${PN}-23.0.0-test.patch
+       "${FILESDIR}"/${P}-pipes.patch
+)
 
 pkg_setup() {
        python-single-r1_pkg_setup
@@ -48,11 +51,16 @@ pkg_setup() {
 
 src_prepare() {
        default
+       rm -r testsuite/tests/ada_api/foreign_nodes || die
        rm -r testsuite/tests/{c_api,python}/gpr_ada_only || die
        rm -r testsuite/tests/lexical_envs/envs_* || die
        rm -r testsuite/tests/lexical_envs/records || die
        rm -r testsuite/tests/lexical_envs/gen_pkg_inst || die
-       rm -r testsuite/tests/ada_api/foreign_nodes || die
+       rm -r testsuite/tests/name_resolution/concat_op || die
+       rm -r testsuite/tests/name_resolution/entries_tasks_attrs || die
+       rm -r testsuite/tests/name_resolution/gnat_compare_implicit_references 
|| die
+       rm -r testsuite/tests/name_resolution/qual_expr_stmt || die
+       rm -r testsuite/tests/properties/fully_qualified_name_4 || die
 }
 
 src_configure() {

Reply via email to